Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000229Core InformPhrases and functional programmingpublic2010-08-03 11:162010-10-28 00:30
ReporterJuhana 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000229: Phrases with two words beginning with "end" can't be used in pythonesque blocks
DescriptionIn python-style indented blocks Inform interprets any two-word phrase beginning with the word "end" as ending a block like "end if" or "end repeat" and halts with an error. Normal begin...end blocks can use this kind of phrases without problems.
Minimal Source Text To Reproduce
There is a room.

To end all:
	end the story saying "It is all over!"

Instead of attacking yourself, end all. [this works]

[the following gives an error]
Instead of exiting:
	if the player is in a room:
		end all.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000573)
graham (administrator)
2010-09-21 16:30

Fair point. This is fixed.

- Issue History
Date Modified Username Field Change
2010-08-03 11:16 Juhana New Issue
2010-08-04 15:05 EmacsUser Status new => confirmed
2010-09-21 16:30 graham Note Added: 0000573
2010-09-21 16:30 graham Status confirmed => resolved
2010-09-21 16:30 graham Resolution open => fixed
2010-09-21 16:30 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker